import request from '@/utils/request'
// 获取课程列表
export function getCourseList(params) {
  return request({
    url: '/cms/course',
    method: 'get',
    params
  })
}
// 新增课程列表
export function addCourseList(data) {
  return request({
    url: '/cms/course',
    method: 'post',
    data
  })
}
// 修改课程列表
export function setCourseList(data) {
  return request({
    url: '/cms/course',
    method: 'put',
    data
  })
}
