const getters = {
  sidebar: state => state.app.sidebar,
  device: state => state.app.device,
  token: state => state.user.token,
  avatar: state => state.user.avatar,
  name: state => state.user.name,
  visitedViews: state => state.tagsView.visitedViews,
  cachedViews: state => state.tagsView.cachedViews,
  getScheduleData: state => state.schoolTimetable.getScheduleData,
  getScheduleDataLength: state => state.schoolTimetable.getScheduleDataLength,
  getScheduleWareData: state => state.schoolTimetable.getScheduleWareData,
  getBlockData: state => state.dashboard.getBlockData,
  getBlockRowData: state => state.dashboard.getBlockRowData,
  getRowItemData: state => state.dashboard.getRowItemData,
  getTempateData: state => state.dashboard.getTempateData,
  getCategoryData: state => state.categoryList.getCategoryData,
  getCategoryDataLength: state => state.categoryList.getCategoryDataLength,
  getCategoryRelationData: state => state.categoryList.getCategoryRelationData,
  getTopicData: state => state.topicList.getTopicData,
  getRelationData: state => state.topicList.getRelationData,
  getCourseData: state => state.courseList.getCourseData,
  getCourseWareData: state => state.courseWareList.getCourseWareData,
  getMemberData: state => state.memberList.getMemberData,
  getMemberOrderData: state => state.memberList.getMemberOrderData,
  getMemberOrderDataLength: state => state.memberList.getMemberOrderDataLength,
  getMemberAuthData: state => state.memberList.getMemberAuthData
}
export default getters
