import request from '@/utils/request'
// 获取首页列表
export function getBlock() {
  return request({
    url: '/cms/block',
    method: 'get'
  })
}
// 获取首页行列表
export function getBlockRow(blockId) {
  return request({
    url: `/cms/block/blockrow/${blockId}`,
    method: 'get'
  })
}
// 获取首页项列表
export function getRowItem(rowId) {
  return request({
    url: `/cms/block/rowitem/${rowId}`,
    method: 'get'
  })
}
// 修改首页行信息
export function setBlockRow(data) {
  return request({
    url: `/cms/block/blockrow/update`,
    method: 'PUT',
    data
  })
}
// 修改增加行信息
export function addBlockRow(data) {
  return request({
    url: `/cms/block/blockrow/save`,
    method: 'POST',
    data
  })
}
// 修改首页项信息
export function setRowItem(data) {
  return request({
    url: `/cms/block/rowitem/update`,
    method: 'put',
    data
  })
}
// 添加首页项信息
export function addRowItem(data) {
  return request({
    url: `/cms/block/rowitem/save`,
    method: 'post',
    data
  })
}
// 获取首页模板列表
export function getTempate() {
  return request({
    url: `/cms/tempate`,
    method: 'get'
  })
}
// 修改首页模板列表
export function setTempate(data) {
  return request({
    url: `/cms/tempate/updateTemplate`,
    method: 'put',
    data
  })
}
