import request from '@/utils/request'
// 获取专题列表
export function getTopicList(params) {
  return request({
    url: '/cms/topic',
    method: 'get',
    params
  })
}
// 新增专题列表
export function addTopicList(data) {
  return request({
    url: '/cms/topic',
    method: 'post',
    data
  })
}
// 修改专题列表
export function setTopicList(data) {
  return request({
    url: '/cms/topic',
    method: 'put',
    data
  })
}
// 获取专题课件
export function getTopicRelation(params) {
  return request({
    url: '/cms/topic/topicRelation',
    method: 'get',
    params
  })
}
// 添加专题课件
export function addTopicRelation(data) {
  return request({
    url: '/cms/topic/topicRelation',
    method: 'post',
    data
  })
}
// 修改专题课件
export function setTopicRelation(data) {
  return request({
    url: '/cms/topic/topicRelation',
    method: 'put',
    data
  })
}
